Utf8StringBuilder (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.util

## Class Utf8StringBuilder

- java.lang.Object
- - org.eclipse.jetty.util.Utf8Appendable
  - - org.eclipse.jetty.util.Utf8StringBuilder

-     public class Utf8StringBuilder
      extends Utf8Appendable

  UTF-8 StringBuilder. This class wraps a standard `StringBuilder` and provides methods to append UTF-8 encoded bytes, that are converted into characters. This class is stateful and up to 4 calls to `Utf8Appendable.append(byte)` may be needed before state a character is appended to the string buffer. The UTF-8 decoding is done by this class and no additional buffers or Readers are used. The UTF-8 code was inspired by http://bjoern.hoehrmann.de/utf-8/decoder/dfa/

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.Utf8Appendable

      `Utf8Appendable.NotUtf8Exception`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.util.Utf8Appendable

      `_appendable, _state, REPLACEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Utf8StringBuilder()`
    `Utf8StringBuilder(int capacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuilder` | `getStringBuilder()`
    `int` | `length()`
    `void` | `reset()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.jetty.util.Utf8Appendable

      `append, append, append, appendByte, isUtf8SequenceComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Utf8StringBuilder

          public Utf8StringBuilder()

    - #### Utf8StringBuilder

          public Utf8StringBuilder(int capacity)

  - ### Method Detail

    - #### length

          public int length()

      Specified by:
        `length` in class `Utf8Appendable`

    - #### reset

          public void reset()

      Overrides:
        `reset` in class `Utf8Appendable`

    - #### getStringBuilder

          public StringBuilder getStringBuilder()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.